Bug 817514 - POSTIN error from man-db installation
POSTIN error from man-db installation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 07:04 EDT by Jonathan Kamens
Modified: 2012-05-06 00:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: man-db-2.6.0.2-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-06 00:53:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
man_db.conf (5.05 KB, text/plain)
2012-05-02 10:10 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2012-04-30 07:04:54 EDT
Updating   : man-db-2.6.0.2-5.fc17.x86_64                             117/310 
Non-fatal POSTIN scriptlet failure in rpm package man-db-2.6.0.2-5.fc17.x86_64
warning: %post(man-db-2.6.0.2-5.fc17.x86_64) scriptlet failed, exit status 255
Comment 1 Peter Schiffer 2012-04-30 07:14:18 EDT
Hi Jonathan,

please, attach a /etc/sysconfig/man-db file if you have it and output of the mandb command and it's exit status:

# mandb
# echo $?


Thanks,

peter
Comment 2 Jonathan Kamens 2012-05-01 02:31:49 EDT
jik2:~!1008$ cat /etc/sysconfig/man-db
# 
# Set to no to disable daily man-db update by /etc/cron.daily/man-db.cron
CRON="yes"

# Options used by mandb in /etc/cron.daily/man-db.cron, 
# we use -q as default, too much noise without.
OPTS="-q"
jik2:~!1009$ sudo mandb
[sudo] password for jik: 
mandb: warning: $MANPATH set, ignoring /etc/man_db.conf
Purging old database entries in /usr/share/man...
Processing manual pages under /usr/share/man...
Purging old database entries in /usr/share/man/th...
Processing manual pages under /usr/share/man/th...
Purging old database entries in /usr/share/man/te...
Processing manual pages under /usr/share/man/te...
Purging old database entries in /usr/share/man/eo...
Processing manual pages under /usr/share/man/eo...
Purging old database entries in /usr/share/man/pl.UTF-8...
Processing manual pages under /usr/share/man/pl.UTF-8...
Purging old database entries in /usr/share/man/fr...
Processing manual pages under /usr/share/man/fr...
Purging old database entries in /usr/share/man/da...
Processing manual pages under /usr/share/man/da...
Purging old database entries in /usr/share/man/ja...
Processing manual pages under /usr/share/man/ja...
Purging old database entries in /usr/share/man/ml...
Processing manual pages under /usr/share/man/ml...
Purging old database entries in /usr/share/man/sv...
Processing manual pages under /usr/share/man/sv...
Purging old database entries in /usr/share/man/oc...
Processing manual pages under /usr/share/man/oc...
Purging old database entries in /usr/share/man/bo...
Processing manual pages under /usr/share/man/bo...
Purging old database entries in /usr/share/man/ko...
Processing manual pages under /usr/share/man/ko...
Purging old database entries in /usr/share/man/fa...
Processing manual pages under /usr/share/man/fa...
Purging old database entries in /usr/share/man/nn...
Processing manual pages under /usr/share/man/nn...
Purging old database entries in /usr/share/man/ro...
Processing manual pages under /usr/share/man/ro...
Purging old database entries in /usr/share/man/sq...
Processing manual pages under /usr/share/man/sq...
Purging old database entries in /usr/share/man/el...
Processing manual pages under /usr/share/man/el...
Purging old database entries in /usr/share/man/zh_CN...
Processing manual pages under /usr/share/man/zh_CN...
Purging old database entries in /usr/share/man/bs...
Processing manual pages under /usr/share/man/bs...
Purging old database entries in /usr/share/man/ms...
Processing manual pages under /usr/share/man/ms...
Purging old database entries in /usr/share/man/ca@valencia...
Processing manual pages under /usr/share/man/ca@valencia...
Purging old database entries in /usr/share/man/sr...
Processing manual pages under /usr/share/man/sr...
Purging old database entries in /usr/share/man/jp...
Processing manual pages under /usr/share/man/jp...
Purging old database entries in /usr/share/man/pl...
Processing manual pages under /usr/share/man/pl...
Purging old database entries in /usr/share/man/ta...
Processing manual pages under /usr/share/man/ta...
Purging old database entries in /usr/share/man/de...
Processing manual pages under /usr/share/man/de...
Purging old database entries in /usr/share/man/pt_PT...
Processing manual pages under /usr/share/man/pt_PT...
Purging old database entries in /usr/share/man/ca...
Processing manual pages under /usr/share/man/ca...
Purging old database entries in /usr/share/man/tr...
Processing manual pages under /usr/share/man/tr...
Purging old database entries in /usr/share/man/zh...
Processing manual pages under /usr/share/man/zh...
Purging old database entries in /usr/share/man/ast...
Processing manual pages under /usr/share/man/ast...
Purging old database entries in /usr/share/man/lv...
Processing manual pages under /usr/share/man/lv...
Purging old database entries in /usr/share/man/sl...
Processing manual pages under /usr/share/man/sl...
Purging old database entries in /usr/share/man/ru...
Processing manual pages under /usr/share/man/ru...
Purging old database entries in /usr/share/man/et...
Processing manual pages under /usr/share/man/et...
Purging old database entries in /usr/share/man/id...
Processing manual pages under /usr/share/man/id...
Purging old database entries in /usr/share/man/vi...
Processing manual pages under /usr/share/man/vi...
Purging old database entries in /usr/share/man/en...
Processing manual pages under /usr/share/man/en...
Purging old database entries in /usr/share/man/eu...
Processing manual pages under /usr/share/man/eu...
Purging old database entries in /usr/share/man/lt...
Processing manual pages under /usr/share/man/lt...
Purging old database entries in /usr/share/man/en_GB...
Processing manual pages under /usr/share/man/en_GB...
Purging old database entries in /usr/share/man/bg...
Processing manual pages under /usr/share/man/bg...
Purging old database entries in /usr/share/man/nl...
Processing manual pages under /usr/share/man/nl...
Purging old database entries in /usr/share/man/zh_HK...
Processing manual pages under /usr/share/man/zh_HK...
Purging old database entries in /usr/share/man/nb...
Processing manual pages under /usr/share/man/nb...
Purging old database entries in /usr/share/man/es...
Processing manual pages under /usr/share/man/es...
Purging old database entries in /usr/share/man/sk...
Processing manual pages under /usr/share/man/sk...
Purging old database entries in /usr/share/man/zh_TW...
Processing manual pages under /usr/share/man/zh_TW...
Purging old database entries in /usr/share/man/pt...
Processing manual pages under /usr/share/man/pt...
Purging old database entries in /usr/share/man/uk...
Processing manual pages under /usr/share/man/uk...
Purging old database entries in /usr/share/man/fi...
Processing manual pages under /usr/share/man/fi...
Purging old database entries in /usr/share/man/de.UTF-8...
Processing manual pages under /usr/share/man/de.UTF-8...
Purging old database entries in /usr/share/man/cy...
Processing manual pages under /usr/share/man/cy...
Purging old database entries in /usr/share/man/hu...
Processing manual pages under /usr/share/man/hu...
Purging old database entries in /usr/share/man/fo...
Processing manual pages under /usr/share/man/fo...
Purging old database entries in /usr/share/man/ug...
Processing manual pages under /usr/share/man/ug...
Purging old database entries in /usr/share/man/en_AU...
Processing manual pages under /usr/share/man/en_AU...
Purging old database entries in /usr/share/man/ku...
Processing manual pages under /usr/share/man/ku...
Purging old database entries in /usr/share/man/ps...
Processing manual pages under /usr/share/man/ps...
Purging old database entries in /usr/share/man/gl...
Processing manual pages under /usr/share/man/gl...
Purging old database entries in /usr/share/man/bn...
Processing manual pages under /usr/share/man/bn...
Purging old database entries in /usr/share/man/io...
Processing manual pages under /usr/share/man/io...
Purging old database entries in /usr/share/man/it...
Processing manual pages under /usr/share/man/it...
Purging old database entries in /usr/share/man/ar...
Processing manual pages under /usr/share/man/ar...
Purging old database entries in /usr/share/man/he...
Processing manual pages under /usr/share/man/he...
Purging old database entries in /usr/share/man/cs...
Processing manual pages under /usr/share/man/cs...
Purging old database entries in /usr/share/man/pt_BR...
Processing manual pages under /usr/share/man/pt_BR...
Purging old database entries in /usr/share/man/hr...
Processing manual pages under /usr/share/man/hr...
Purging old database entries in /usr/share/man/fr.UTF-8...
Processing manual pages under /usr/share/man/fr.UTF-8...
Purging old database entries in /usr/local/share/man...
Processing manual pages under /usr/local/share/man...
0 man subdirectories contained newer manual pages.
0 manual pages were added.
0 stray cats were added.
0 old database entries were purged.
jik2:~!1010$ echo $?
0
jik2:~!1011$
Comment 3 Peter Schiffer 2012-05-02 10:06:20 EDT
Ok, thanks Jonathan.

But I need something more. Please, could you attach:

/etc/man_db.conf file

and exit status of man-db cron.daily script?

# /etc/cron.daily/man-db.cron
# echo $?

If even in this case the exit code is 0, could you try to reinstall the package and see whether the error is still there?

# yum reinstall man-db


Thanks,

peter
Comment 4 Jonathan Kamens 2012-05-02 10:10:30 EDT
Created attachment 581626 [details]
man_db.conf

jik2:~!1001$ sudo /etc/cron.daily/man-db.cron 
jik2:~!1002$ echo $?
255
jik2:~!1003$
Comment 5 Fedora Update System 2012-05-02 12:26:26 EDT
man-db-2.6.0.2-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/man-db-2.6.0.2-6.fc17
Comment 6 Peter Schiffer 2012-05-02 12:30:02 EDT
Thanks Jonathan, I've fixed the problem. The update will be available soon.
Comment 7 Fedora Update System 2012-05-02 16:32:51 EDT
Package man-db-2.6.0.2-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-db-2.6.0.2-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7082/man-db-2.6.0.2-6.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-05-06 00:53:46 EDT
man-db-2.6.0.2-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.